For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • POSTCreate a payment link
      • GETGet payment link by ID
      • POSTExpire a payment link
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment links

Create a payment link

POST
/payment_links
POST
/v1/payment_links
$curl -X POST https://api.sandbox.monite.com/v1/payment_links \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "payment_methods": [
> "sepa_credit"
> ],
> "recipient": {
> "id": "6296af34-6feb-43c1-b567-83e3bf45050c",
> "type": "counterpart"
> },
> "object": {
> "id": "5940eb3a-de95-4e7e-b5e7-8a4ad0ea341b",
> "type": "payable"
> },
> "return_url": "https://example.com/where-to-redirect-after-payment"
>}'
1{
2 "id": "id",
3 "amount": 1,
4 "currency": "AED",
5 "expires_at": "2024-01-15T09:30:00Z",
6 "payment_intent_id": "payment_intent_id",
7 "payment_methods": [
8 "payment_methods"
9 ],
10 "payment_page_url": "payment_page_url",
11 "recipient": {
12 "id": "id",
13 "type": "entity",
14 "bank_accounts": [
15 {
16 "id": "id",
17 "account_holder_name": "Bob Jones",
18 "account_number": "12345678",
19 "bic": "DEUTDEFFXXX",
20 "country": "AF",
21 "currency": "AED",
22 "display_name": "Primary account",
23 "iban": "DE74500700100100000900",
24 "is_default": true,
25 "name": "Primary account",
26 "routing_number": "routing_number",
27 "sort_code": "123456",
28 "was_created_by_user_id": "was_created_by_user_id"
29 }
30 ],
31 "name": "name"
32 },
33 "status": "status",
34 "invoice": {
35 "due_date": "due_date",
36 "file": {
37 "mimetype": "application/pdf",
38 "name": "INV-00042.pdf",
39 "url": "https://example.com/path/to/invoice.pdf"
40 },
41 "issue_date": "issue_date"
42 },
43 "payer": {
44 "id": "id",
45 "type": "entity",
46 "bank_accounts": [
47 {
48 "id": "id",
49 "account_holder_name": "Bob Jones",
50 "account_number": "12345678",
51 "bic": "DEUTDEFFXXX",
52 "country": "AF",
53 "currency": "AED",
54 "display_name": "Primary account",
55 "iban": "DE74500700100100000900",
56 "is_default": true,
57 "name": "Primary account",
58 "routing_number": "routing_number",
59 "sort_code": "123456",
60 "was_created_by_user_id": "was_created_by_user_id"
61 }
62 ],
63 "name": "name"
64 },
65 "payment_intent": {
66 "id": "id",
67 "updated_at": "2024-01-15T09:30:00Z",
68 "status": "status",
69 "application_fee_amount": 1,
70 "object": {
71 "id": "id",
72 "type": "payable"
73 },
74 "provider": "provider",
75 "selected_payment_method": "selected_payment_method"
76 },
77 "payment_reference": "payment_reference",
78 "return_url": "https://pay.example.com/complete"
79}
Create a new [payment link](https://docs.monite.com/payments/payment-links) for an accounts payble invoice (to be paid by the entity) or an accounts receivable invoice (to be sent to the counterpart).
Was this page helpful?
Previous

Get payment link by ID

Next
Built with

Create a new payment link for an accounts payble invoice (to be paid by the entity) or an accounts receivable invoice (to be sent to the counterpart).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
payment_methodslist of enumsRequired
Payment methods to be displayed on the payment page. These payment methods must already be enabled for the entity. **Note:** Available payment methods vary per country, transaction type (B2B or B2C), and the payment link type (entity pays a bill or entity generates an invoice payment link for its counterpart). For more information, see [Payment methods](https://docs.monite.com/payments/payment-methods).
recipientobjectRequired

Specifies the invoice vendor - entity or counterpart. This is the payee, or the recipient of the payment.

amountintegerOptional>=1
The payment amount in [minor units](https://docs.monite.com/references/currencies#minor-units). The usage of the `amount` field depends on the type of the payment link you are creating: * If the `invoice` object is specified (that is, when creating a payment link for an external invoice), `amount` is required. * If `object` is specified: * If `object.type` is `payable`, `amount` must not be specified since it's taken from the payable. * If `object.type` is `receivable`, you can provide a custom `amount` value to create a partial payment link. In this case, the `amount` value must not exceed the invoice's `amount_to_pay` minus all active payment links.
currencyenumOptional

The payment currency. Mutually exclusive with object.

expires_atdatetimeOptional
Date and time (in the ISO 8601 format) when this payment link will expire. Can be up to 70 days from the current date and time. If omitted: * Payment links for payables and receivables expire 30 days after the invoice due date. * Payment links for external invoices expire 30 days after the link creation time. For more information, see [Payment link expiration](https://docs.monite.com/payments/payment-links#expiration).
invoiceobjectOptional

An object containing information about an external invoice to be paid. Mutually exclusive with object.

objectobjectOptional

If the invoice being paid is a payable or receivable stored in Monite, provide the object object containing the invoice type and ID. Otherwise, use the amount, currency, payment_reference, and (optionally) invoice fields to specify the invoice-related data.

payment_referencestringOptional

A payment reference number that the recipient can use to identify the payer or purpose of the transaction. Mutually exclusive with object.

return_urlstringOptionalformat: "uri"1-2083 characters

The URL where to redirect the payer after the payment. If return_url is specified, then after the payment is completed the payment page will display the “Return to platform” link that navigates to this URL.

Response

Successful Response
idstringformat: "uuid"
amountinteger
currencyenum
expires_atdatetime
payment_intent_idstringformat: "uuid"
payment_methodslist of strings
payment_page_urlstringformat: "uri"1-2083 characters
recipientobject
statusstring
invoiceobject
payerobject
payment_intentobject
payment_referencestring
return_urlstring

The URL where to redirect the payer after the payment. If return_url is specified, then after the payment is completed the payment page will display the “Return to platform” link that navigates to this URL.

Errors

401
Post Payment Links Request Unauthorized Error
422
Post Payment Links Request Unprocessable Entity Error
429
Post Payment Links Request Too Many Requests Error

Payment methods to be displayed on the payment page. These payment methods must already be enabled for the entity.

Note: Available payment methods vary per country, transaction type (B2B or B2C), and the payment link type (entity pays a bill or entity generates an invoice payment link for its counterpart). For more information, see Payment methods.

The payment amount in minor units. The usage of the amount field depends on the type of the payment link you are creating:

  • If the invoice object is specified (that is, when creating a payment link for an external invoice), amount is required.
  • If object is specified:
    • If object.type is payable, amount must not be specified since it’s taken from the payable.
    • If object.type is receivable, you can provide a custom amount value to create a partial payment link. In this case, the amount value must not exceed the invoice’s amount_to_pay minus all active payment links.

Date and time (in the ISO 8601 format) when this payment link will expire. Can be up to 70 days from the current date and time. If omitted:

  • Payment links for payables and receivables expire 30 days after the invoice due date.
  • Payment links for external invoices expire 30 days after the link creation time.

For more information, see Payment link expiration.